﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;
using System.Data;
using C1.Web.Wijmo.Controls.C1TreeView;

public partial class _Default : System.Web.UI.Page
{

    

    protected void Page_Load(object sender, EventArgs e)
    {
        BindTreeView();
    }

    protected void BindTreeView()
    {      
        SqlConnection con = new SqlConnection();
        con.ConnectionString = ConfigurationManager.ConnectionStrings["C1ConnectionString"].ConnectionString;
        string cmdText = "SELECT [SessionId], [Session], [Track] FROM [Sessions]";
        SqlDataAdapter da = new SqlDataAdapter(cmdText, con);
        con.Open();

        DataTable dtSessions = new DataTable();
        da.Fill(dtSessions);
        con.Close();

        string cmdText1 = "SELECT DISTINCT [Track] FROM [Sessions] Order By [Track]";
        da = new SqlDataAdapter(cmdText1, con);
        DataTable dtTracks = new DataTable();
        con.Open();
        da.Fill(dtTracks);
        con.Close();

        C1.Web.Wijmo.Controls.C1TreeView.C1TreeViewNode parentNode;

        for (int i = 0; i < dtTracks.Rows.Count; i++)
        {
            parentNode = new C1.Web.Wijmo.Controls.C1TreeView.C1TreeViewNode();
            parentNode.Text = dtTracks.Rows[i]["Track"].ToString();
            C1TreeView1.Nodes.Add(parentNode);            
        }

        C1.Web.Wijmo.Controls.C1TreeView.C1TreeViewNode childNode;        

        for (int nodeCount = 0; nodeCount < C1TreeView1.Nodes.Count; nodeCount++)
        {
            for (int j = 0; j < dtSessions.Rows.Count; j++)
            {
                if (C1TreeView1.Nodes[nodeCount].Text == dtSessions.Rows[j]["Track"].ToString())
                {
                    childNode = new C1.Web.Wijmo.Controls.C1TreeView.C1TreeViewNode();
                    childNode.Text = dtSessions.Rows[j]["Session"].ToString();
                    childNode.Value = dtSessions.Rows[j]["SessionId"].ToString();
                    C1TreeView1.Nodes[nodeCount].Nodes.Add(childNode);
                }
            }
        }
    }
}